Subject: Re: Git SVN non-standard branch/tag/trunk layout

From: Stephen Bash <[email-masked]>
Date: Mon, 13 Dec 2010 16:23:02 -0500 (EST)

----- Original Message -----
> From: "Albert Krawczyk" <[email-masked]>
> To: "Stephen Bash" <[email-masked]>
> Cc: [email-masked]
> Sent: Monday, December 13, 2010 4:08:28 PM
> Subject: RE: Git SVN non-standard branch/tag/trunk layout
>
> >Project 2 is an interesting one because it looks like the trunk is at
> >the same level as branches/tags. If that's the case, the 'branches'
> >line above will work (it will treat >the trunk like any other branch
> >-- a very Git-like approach). Also note that those projects that
> >didn't have a 'trunk' directory in SVN I added a 'trunk' on the Git
> >side to keep things consistent -- this is completely optional.
> >
> >Once you get comfortable with the rules governing the config lines,
> >you can pretty much untangle any SVN layout.
> 
> Thanks a lot! I thought this is what I had to do, and had through
> trial and (a lot of) error got to be very close. As far as I can see
> the only 'downside' of this approach is that you can't have the 'root'
> of the SVN repo checked out, you can only have the root of each
> project checked out, as they are all on their own ref.

I hadn't thought about it until now, but you could probably specify fetch=/:refs/remotes/svnroot to have a ref that is the root of the SVN repository...  Might be worth a shot...

Stephen